Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158476 - Web browser installed by anaconda uses wrong locale
Summary: Web browser installed by anaconda uses wrong locale
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-22 18:31 UTC by Josep
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-14 10:13:31 UTC


Attachments (Terms of Use)

Description Josep 2005-05-22 18:31:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ca-AD; rv:1.7.8) Gecko/20050517 Firefox/1.0.4 (Debian package 1.0.4-2)

Description of problem:
Just installed FC4t3, using default workstation installation.
The installation was done in a non-English language.
Everything looked ok, except that the default web browser is in English.
The default web browser is Firefox, there is available a localized version of that web browser, but FC4t3 didn't install it.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC4t3 in a non English language
2. Log in to a graphic desctop (in a non english language)
3. Start the default web browser
  

Actual Results:  Wen browser in english and the user can not browse the Internet.
This is a severe problem.

Expected Results:  Web browser should be in the locale FC4t3 has been installed, or the locale the user has selected.


Additional info:

Bug 145897 for FC3 is related, but assigned to firefox instead.
This is a serious bug, in my opinion. The web browser is the most used application on the desktop, for it to be usable it must be installed in the locale selected by the user, or during the installation.

Comment 1 Josep 2006-04-14 10:13:31 UTC
This problem does not exist in Fedora Core 5. The installer installs by default
the language pack for the language used during the installation (it is also
possible to manually install other language packs, of course).



Note You need to log in before you can comment on or make changes to this bug.